(function (lib, img, cjs, ss) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1280,
	height: 720,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Bitmap10.png", id:"Bitmap10"},
		{src:"images/Bitmap11.png", id:"Bitmap11"},
		{src:"images/Bitmap12.png", id:"Bitmap12"},
		{src:"images/Bitmap13.png", id:"Bitmap13"},
		{src:"images/Bitmap14.png", id:"Bitmap14"},
		{src:"images/Bitmap15.png", id:"Bitmap15"},
		{src:"images/Bitmap16.png", id:"Bitmap16"},
		{src:"images/Bitmap17.png", id:"Bitmap17"},
		{src:"images/Bitmap19.png", id:"Bitmap19"},
		{src:"images/Bitmap2.png", id:"Bitmap2"},
		{src:"images/Bitmap3.png", id:"Bitmap3"},
		{src:"images/Bitmap4.png", id:"Bitmap4"},
		{src:"images/Bitmap5.png", id:"Bitmap5"},
		{src:"images/Bitmap6.png", id:"Bitmap6"},
		{src:"images/Bitmap7.png", id:"Bitmap7"},
		{src:"images/Bitmap8.png", id:"Bitmap8"},
		{src:"images/Bitmap9.png", id:"Bitmap9"}
	]
};



// symbols:



(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,416,38);


(lib.Bitmap10 = function() {
	this.initialize(img.Bitmap10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,137,57);


(lib.Bitmap11 = function() {
	this.initialize(img.Bitmap11);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,61,57);


(lib.Bitmap12 = function() {
	this.initialize(img.Bitmap12);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,83,57);


(lib.Bitmap13 = function() {
	this.initialize(img.Bitmap13);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,89,57);


(lib.Bitmap14 = function() {
	this.initialize(img.Bitmap14);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,117,57);


(lib.Bitmap15 = function() {
	this.initialize(img.Bitmap15);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,70,57);


(lib.Bitmap16 = function() {
	this.initialize(img.Bitmap16);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,90,57);


(lib.Bitmap17 = function() {
	this.initialize(img.Bitmap17);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,117,57);


(lib.Bitmap19 = function() {
	this.initialize(img.Bitmap19);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,170,71);


(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,647,38);


(lib.Bitmap3 = function() {
	this.initialize(img.Bitmap3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,422,38);


(lib.Bitmap4 = function() {
	this.initialize(img.Bitmap4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,531,38);


(lib.Bitmap5 = function() {
	this.initialize(img.Bitmap5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,841,38);


(lib.Bitmap6 = function() {
	this.initialize(img.Bitmap6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,524,38);


(lib.Bitmap7 = function() {
	this.initialize(img.Bitmap7);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,335,38);


(lib.Bitmap8 = function() {
	this.initialize(img.Bitmap8);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,134,57);


(lib.Bitmap9 = function() {
	this.initialize(img.Bitmap9);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,92,57);


(lib.Symbol1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap19();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,71);
p.frameBounds = [rect];


(lib.drop = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap19();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,71);
p.frameBounds = [rect];


(lib.Symbol2 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Symbol1();
	this.instance.setTransform(85,35.5,1,1,0,0,0,85,35.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,71);
p.frameBounds = [rect];


(lib.d10 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap17();
	this.instance.setTransform(26.5,0);

	this.instance_1 = new lib.Symbol2();
	this.instance_1.setTransform(85,35.5,1,1,0,0,0,85,35.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,71);
p.frameBounds = [rect];


(lib.d9 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap16();
	this.instance.setTransform(40,0);

	this.instance_1 = new lib.Symbol2();
	this.instance_1.setTransform(85,35.5,1,1,0,0,0,85,35.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,71);
p.frameBounds = [rect];


(lib.d8 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap15();
	this.instance.setTransform(50,0);

	this.instance_1 = new lib.Symbol2();
	this.instance_1.setTransform(85,35.5,1,1,0,0,0,85,35.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,71);
p.frameBounds = [rect];


(lib.d7 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap14();
	this.instance.setTransform(26.5,0);

	this.instance_1 = new lib.Symbol2();
	this.instance_1.setTransform(85,35.5,1,1,0,0,0,85,35.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,71);
p.frameBounds = [rect];


(lib.d6 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap13();
	this.instance.setTransform(40.5,0);

	this.instance_1 = new lib.Symbol2();
	this.instance_1.setTransform(85,35.5,1,1,0,0,0,85,35.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,71);
p.frameBounds = [rect];


(lib.d5 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap12();
	this.instance.setTransform(43.5,0);

	this.instance_1 = new lib.Symbol2();
	this.instance_1.setTransform(85,35.5,1,1,0,0,0,85,35.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,71);
p.frameBounds = [rect];


(lib.d4 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap11();
	this.instance.setTransform(54.5,0);

	this.instance_1 = new lib.Symbol2();
	this.instance_1.setTransform(85,35.5,1,1,0,0,0,85,35.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,71);
p.frameBounds = [rect];


(lib.d3 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap10();
	this.instance.setTransform(16.5,0);

	this.instance_1 = new lib.Symbol2();
	this.instance_1.setTransform(85,35.5,1,1,0,0,0,85,35.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,71);
p.frameBounds = [rect];


(lib.d2 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap9();
	this.instance.setTransform(39,0);

	this.instance_1 = new lib.Symbol2();
	this.instance_1.setTransform(85,35.5,1,1,0,0,0,85,35.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,71);
p.frameBounds = [rect];


(lib.d1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap8();
	this.instance.setTransform(18,0);

	this.instance_1 = new lib.Symbol2();
	this.instance_1.setTransform(85,35.5,1,1,0,0,0,85,35.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,71);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Ustawienia */
		var config = {
			id: '22079',
			title: 'Przeciągnij wyrazy w odpowiednie miejsca.',
			type: 'drag',
			container: this,
			prefix: 'drag_',
			prefix2: 'drop_',
			/*
			groupdrags: {		
				1: ['1', '2', '3', '6'],
			},
			/*
			groupdrops: {
				1: [1,2,3],
				2: [4,5,6],
				3: [7,8,9]
			},
			*/	
			results: [
				/*drop_1:*/ '1',
				/*drop_2:*/ '2',
				/*drop_3:*/ '3',
				/*drop_4:*/ '4',	
				/*drop_5:*/ '5|6|7|8',	
				/*drop_6:*/ '5|6|7|8',	
				/*drop_7:*/ '5|6|7|8',	
				/*drop_8:*/ '5|6|7|8',	
				/*drop_9:*/ '9',		
				/*drop_9:*/ '10',		
			],
			range: 20,
			alpha: 1,
			alpha2: 1,
			scale: 0.8,
			rotation: 'auto',
			//size: 'auto',
			//zindex: 3,
			endsound: 'ssBrawa',
			exerciseAfterInit: function(container) {
				//container['drag_1'].rotate = 60;
			},
			exerciseBeforeFinish: function(container) {
				
			},
			exerciseExtraCheck: function(config, dragCurrent, dropIndex, isCorrect) {	
				
			},
		}
		
		exerciseOnInit(config);
		
		this.stop();
		
		/*---------------------------------------------------------------------------------------------------------------
		/* Help
		/*---------------------------------------------------------------------------------------------------------------
		 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groupdrags - Lista grup dagow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		groupdrags - Lista grup targetow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		rotation - Dostosowanie obrotu obiektu do targetu
		scale - Skalowanie obiektu po upuszczeniu
		size - Skalowanie obiektu do rozmiarow targetu
		zindex - Pozycja z obiektu
		/*-------------------------------------------------------------------------------------------------------------*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// content
	this.drag_5 = new lib.d10();
	this.drag_5.setTransform(1099.3,590.2,1,1,6,0,0,85,35.5);

	this.drag_8 = new lib.d9();
	this.drag_8.setTransform(1019,496.1,1,1,6,0,0,85,35.5);

	this.drag_9 = new lib.d8();
	this.drag_9.setTransform(916.9,576.1,1,1,14,0,0,85,35.5);

	this.drag_10 = new lib.d7();
	this.drag_10.setTransform(833.9,467.6,1,1,-10,0,0,85,35.5);

	this.drag_6 = new lib.d6();
	this.drag_6.setTransform(737,569,1,1,6,0,0,85,35.5);

	this.drag_4 = new lib.d5();
	this.drag_4.setTransform(646.9,474.6,1,1,2,0,0,85,35.5);

	this.drag_1 = new lib.d4();
	this.drag_1.setTransform(551,567,1,1,6,0,0,85,35.5);

	this.drag_2 = new lib.d3();
	this.drag_2.setTransform(462.5,474.5,1,1,-5,0,0,85,35.5);

	this.drag_3 = new lib.d2();
	this.drag_3.setTransform(368.9,566,1,1,6,0,0,85,35.5);

	this.drag_7 = new lib.d1();
	this.drag_7.setTransform(235.8,492.4,1,1,-10,0,0,85,35.5);

	this.drop_10 = new lib.drop();
	this.drop_10.setTransform(998.9,331.3,0.8,0.8,0,0,0,85,35.6);

	this.drop_9 = new lib.drop();
	this.drop_9.setTransform(658.9,331.3,0.8,0.8,0,0,0,85,35.6);

	this.drop_8 = new lib.drop();
	this.drop_8.setTransform(870.9,253.3,0.8,0.8,0,0,0,85,35.6);

	this.drop_7 = new lib.drop();
	this.drop_7.setTransform(656.9,253.3,0.8,0.8,0,0,0,85,35.6);

	this.drop_6 = new lib.drop();
	this.drop_6.setTransform(493.9,253.3,0.8,0.8,0,0,0,85,35.6);

	this.drop_5 = new lib.drop();
	this.drop_5.setTransform(323.9,253.3,0.8,0.8,0,0,0,85,35.6);

	this.drop_4 = new lib.drop();
	this.drop_4.setTransform(1091.9,173.3,0.8,0.8,0,0,0,85,35.6);

	this.drop_3 = new lib.drop();
	this.drop_3.setTransform(572.9,173.3,0.8,0.8,0,0,0,85,35.6);

	this.drop_2 = new lib.drop();
	this.drop_2.setTransform(713.9,100.3,0.8,0.8,0,0,0,85,35.6);

	this.drop_1 = new lib.drop();
	this.drop_1.setTransform(262.9,100.3,0.8,0.8,0,0,0,85,35.6);

	this.instance = new lib.Bitmap7();
	this.instance.setTransform(757.3,317.5);

	this.instance_1 = new lib.Bitmap6();
	this.instance_1.setTransform(218.3,318);

	this.instance_2 = new lib.Bitmap5();
	this.instance_2.setTransform(117.2,239);

	this.instance_3 = new lib.Bitmap4();
	this.instance_3.setTransform(717.3,156.5);

	this.instance_4 = new lib.Bitmap3();
	this.instance_4.setTransform(237.3,157);

	this.instance_5 = new lib.Bitmap2();
	this.instance_5.setTransform(534.2,82);

	this.instance_6 = new lib.Bitmap1();
	this.instance_6.setTransform(32.2,80);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_6},{t:this.instance_5},{t:this.instance_4},{t:this.instance_3},{t:this.instance_2},{t:this.instance_1},{t:this.instance},{t:this.drop_1},{t:this.drop_2},{t:this.drop_3},{t:this.drop_4},{t:this.drop_5},{t:this.drop_6},{t:this.drop_7},{t:this.drop_8},{t:this.drop_9},{t:this.drop_10},{t:this.drag_7},{t:this.drag_3},{t:this.drag_2},{t:this.drag_1},{t:this.drag_4},{t:this.drag_6},{t:this.drag_10},{t:this.drag_9},{t:this.drag_8},{t:this.drag_5}]}).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(32.2,71.8,1216.1,562.6);
p.frameBounds = [rect];


// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(916.5,389,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(672.2,431.8,1216.1,562.6);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{}, ss = ss||{});
var lib, images, createjs, ss;